Subject: bug#1061: pop-up-frames does not work on a tty

From: martin rudalics <[email-masked]>
Date: Fri, 03 Oct 2008 15:41:44 +0200

> Not good enough.  The support for frames under ttys is not sufficiently
 > good for that: there are *very* few ways for the user to manage his
 > frames and go from one to another.  Also under ttys, having many
 > different frames all showing a single buffer in a single window is
 > pretty dumb: you may as well use a single frame with a single window and
 > switch buffers in there.  Yet, pop-up-frames tends to put you in
 > such situations.  I think that under a tty, frames only really make
 > sense when the user sets them up explicitly, not implicitly as part of
 > calls to display-buffer.

OK.  But `display-buffer' and `raise-frame' seem _both_ broken on a tty.
Fixing the former won't fix the latter.

martin